ACSite.NET 線上服務論壇

FAQ 常見問題與解答 => CGI/SSI/PHP/論壇程式 => 主題作者是: acsite 於 八月 13, 2008, 11:21:55 pm



主題: 如何以 PHP5 或 PHP4 執行 PHP 程式
作者: acsite八月 13, 2008, 11:21:55 pm
我們所有 cPanel 主機皆同時安裝了 PHP5 與 PHP4
檔案的副檔名為 .php5 將以 PHP5 執行
檔案的副檔名為 .php4 將以 PHP4 執行
2008/11/29 之前副檔名為 .php 將以 PHP4 執行
2008/11/29 之後副檔名為 .php 將以 PHP5 執行


********* 透過 cPanel 修改預設的 PHP 版本 *********

您可以登入 cPanel 控制台
進入「軟體套件」-> 「PHP 組態」功能
即可選擇您的帳號內 .php 檔案要以 PHP4 或 PHP5 來執行

********* 透過 .htaccess 修改預設的 PHP 版本 *********

如果想要讓某個資料夾內的 .php 檔都使用 PHP5 執行
只要在資料夾下建立一個 .htaccess 檔案
裡面放置以下內容就可以了

引用
AddHandler application/x-httpd-php5 .php

如果想要讓某個資料夾內的 .php 檔都使用 PHP4 執行
只要在資料夾下建立一個 .htaccess 檔案
裡面放置以下內容就可以了

引用
AddHandler application/x-httpd-php4 .php

如果想要設定帳號內所有 .php 的預設執行版本
請將 .htaccess 檔案放置於 public_html 資料夾即可